# Personnel

## Method & Permission

| API              | GET           | POST  | PUT | PATCH             | DELETE |
| ---------------- | ------------- | ----- | --- | ----------------- | ------ |
| Personnel List   | Admin, Member | Admin | -   | -                 | -      |
| Personnel Detail | Admin, Member | -     | -   | Admin, Member\*\* | -      |

\*\*Member can only update the following fields:

* first\_name
* last\_name
* email
* metadata
* dashboard
* should\_receive\_weekly\_digest
* should\_receive\_statement\_digest
* should\_receive\_mention\_notification
* should\_receive\_record\_change\_notification
* should\_receive\_notification\_email

## Organization Personnel List

<mark style="color:blue;">`GET`</mark> `/organizations/personnel/list/{level}/{sid}/{serializer}/`

Return the members of the organization.

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| level      | string | organization     |
| sid        | string | organization sid |
| serializer | string |                  |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
# serializer = name
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 1,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "xxx"
        }
    ]
}
# serializer = list
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 1,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "xxx",
            "email": "xxx@labii.com",
            "title": "Administrator",
            "is_administrator": true,
            "is_archived": false,
            "date_start": "2020-05-31",
            "date_end": null,
            "change_permission": true
        }
    ]
}
# serializer = detail
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 1,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "xxx",
            "email": "xxx@labii.com",
            "first_name": "xxx",
            "last_name": "xxx",
            "title": "Administrator",
            "date_start": "2020-05-31",
            "date_end": null,
            "is_administrator": true,
            "dashboard": [
                {
                    "link": "https://docs.labii.com/quick-start",
                    "note": "1. Quick start guide"
                },
                ...
            ],
            "is_use_single_sign_on": true,
            "should_receive_weekly_digest": true,
            "should_receive_mention_notification": true,
            "should_receive_record_change_notification": true,
            "metadata": [
                
            ],
            "is_archived": false,
            "change_permission": true,
            "updated_by": "xxx",
            "date_updated": "2020-05-31T07:00:46.705116Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Organization Personnel List

<mark style="color:green;">`POST`</mark> `/organizations/personnel/list/{level}/{sid}/{serializer}/`

Create one or more members to the organization

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| level      | string | organization     |
| sid        | string | organization sid |
| serializer | string |                  |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

#### Request Body

| Name              | Type   | Description |
| ----------------- | ------ | ----------- |
| email             | string |             |
| first\_name       | string |             |
| last\_name        | string |             |
| title             | string |             |
| date\_start       | string |             |
| date\_end         | string |             |
| is\_administrator | string |             |
| is\_archived      | string |             |

{% tabs %}
{% tab title="201 " %}

```yaml
{
    "sid": "xxx",
    "name": "xxx",
    "email": "xxx@labii.com",
    "first_name": "xxx",
    "last_name": "xxx",
    "title": "Administrator",
    "date_start": "2020-05-31",
    "date_end": null,
    "is_administrator": true,
    "dashboard": [
        {
            "link": "https://docs.labii.com/quick-start",
            "note": "1. Quick start guide"
        },
        ...
    ],
    "is_use_single_sign_on": true,
    "should_receive_weekly_digest": true,
    "should_receive_mention_notification": true,
    "should_receive_record_change_notification": true,
    "metadata": [
        
    ],
    "is_archived": false,
    "change_permission": true,
    "updated_by": "xxx",
    "date_updated": "2020-05-31T07:00:46.705116Z"
}
```

{% endtab %}

{% tab title="406 " %}

```
- The fields organization, user must make a unique set.
- Your organization does not have enough seats to add new members. Contact sales@labii.com to increase seats.
- Wrong email: xxx. Emails from academic or non-profile companies only.
```

{% endtab %}
{% endtabs %}

## Organization Personnel Detail

<mark style="color:blue;">`GET`</mark> `/organizations/personnel/detail/{sid}/`

Get the detail of a member.

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "xxx",
    "name": "xxx",
    "email": "xxx@labii.com",
    "first_name": "xxx",
    "last_name": "xxx",
    "title": "Administrator",
    "date_start": "2020-05-31",
    "date_end": null,
    "is_administrator": true,
    "dashboard": [
        {
            "link": "https://docs.labii.com/quick-start",
            "note": "1. Quick start guide"
        },
        ...
    ],
    "is_use_single_sign_on": true,
    "should_receive_weekly_digest": true,
    "should_receive_mention_notification": true,
    "should_receive_record_change_notification": true,
    "metadata": [
        
    ],
    "is_archived": false,
    "change_permission": true,
    "updated_by": "xxx",
    "date_updated": "2020-05-31T07:00:46.705116Z"
}
```

{% endtab %}
{% endtabs %}

## Organization Personnel Detail

<mark style="color:purple;">`PATCH`</mark> `/organizations/personnel/detail/{sid}/`

Update the data for a member

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Request Body

| Name              | Type   | Description |
| ----------------- | ------ | ----------- |
| title             | string |             |
| date\_start       | string |             |
| date\_end         | string |             |
| is\_administrator | string |             |
| is\_archived      | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "xxx",
    "name": "xxx",
    "email": "xxx@labii.com",
    "first_name": "xxx",
    "last_name": "xxx",
    "title": "Administrator",
    "date_start": "2020-05-31",
    "date_end": null,
    "is_administrator": true,
    "dashboard": [
        {
            "link": "https://docs.labii.com/quick-start",
            "note": "1. Quick start guide"
        },
        ...
    ],
    "is_use_single_sign_on": true,
    "should_receive_weekly_digest": true,
    "should_receive_mention_notification": true,
    "should_receive_record_change_notification": true,
    "metadata": [
        
    ],
    "is_archived": false,
    "change_permission": true,
    "updated_by": "xxx",
    "date_updated": "2020-05-31T07:00:46.705116Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.labii.com/api/methods/personnel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
